Bitcoin Forum
September 24, 2017, 08:52:33 AM *
News: Latest stable version of Bitcoin Core: 0.15.0.1  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 [41] 42 43 44 45 46 47 48 49 50 51 52 53 54 »
  Print  
Author Topic: BFGMiner 5.4.2: GBT+Stratum, RPC, Mac/Linux/Win64, Antminer S1-S5, solo stratum  (Read 697982 times)
This is a self-moderated topic. If you do not want to be moderated by the person who started this topic, create a new topic.
aarons6
Legendary
*
Offline Offline

Activity: 1162


View Profile
March 03, 2016, 07:49:07 PM
 #801

Hi.

is there a working src/gz attitude_adjustment http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx

and is bfgminer working on antminer s1 and s3 ?


Collected errors:
 * opkg_download: Failed to download http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/packages/Packages.gz, wget returned 1.


i did have it on S1 S3 and S5 the only one i could get it to hash on was a S5 . for S1 and S3 it worked but wouldn't hash even posted a few pages back asking what might be wrong no one seemed to care, so i gave up.

even had the right openwrt links set up right in the opkg.conf file . you have to go to the open WRT site and find the old links to attitude_adjustment/12.09/ar71xx/packages/Packages.gz, they have sense been archived sense they kind of are no longer supported .


i wanted to at least get it working on a s1 and s3 but didn't happen for me,and the problem with S5 it works great seems to work better then the cgminer version bitmain hacked in but after a reboot it's gone Sad:. bitmain  set it up that way, sigh.

GL,

to install bfgminer on openwrt you need to install lukes packages path.
http://luke.dashjr.org/programs/bitcoin/files/bfgminer/5.4.1/openwrt/12.09/README

bfgminer on the s3 might be working, but it wont show up in the ui.. since it uses a differnt style api then cgminer.

and the s5 does have a read only file system Sad

          ▄█████▄
        ▄█████████▄
      ▄████▀   ▀████▄
    ▄████▀   ▄ ▄█▀████▄
  ▄████▀   ▄███▀   ▀████▄
▄████▀   ▄███▀   ▄   ▀████▄
█████   ███▀   ▄███   █████
▀████▄   ▀██▄▄███▀   ▄████▀
  ▀████▄   ▀███▀   ▄████▀
    ▀████▄       ▄████▀
      ▀████▄   ▄████▀
        ▀███  ████▀
          ▀█▄███▀
.
|
.
|
          ▄█████▄
        ▄█████████▄
      ▄████▀   ▀████▄
    ▄████▀   ▄ ▄█▀████▄
  ▄████▀   ▄███▀   ▀████▄
▄████▀   ▄███▀   ▄   ▀████▄
█████   ███▀   ▄███   █████
▀████▄   ▀██▄▄███▀   ▄████▀
  ▀████▄   ▀███▀   ▄████▀
    ▀████▄       ▄████▀
      ▀████▄   ▄████▀
        ▀███  ████▀
          ▀█▄███▀
unthy
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
toptek
Legendary
*
Offline Offline

Activity: 1036


View Profile
March 03, 2016, 08:10:54 PM
 #802

Hi.

is there a working src/gz attitude_adjustment http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx

and is bfgminer working on antminer s1 and s3 ?


Collected errors:
 * opkg_download: Failed to download http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/packages/Packages.gz, wget returned 1.


i did have it on S1 S3 and S5 the only one i could get it to hash on was a S5 . for S1 and S3 it worked but wouldn't hash even posted a few pages back asking what might be wrong no one seemed to care, so i gave up.

even had the right openwrt links set up right in the opkg.conf file . you have to go to the open WRT site and find the old links to attitude_adjustment/12.09/ar71xx/packages/Packages.gz, they have sense been archived sense they kind of are no longer supported .


i wanted to at least get it working on a s1 and s3 but didn't happen for me,and the problem with S5 it works great seems to work better then the cgminer version bitmain hacked in but after a reboot it's gone Sad:. bitmain  set it up that way, sigh.

GL,

to install bfgminer on openwrt you need to install lukes packages path.
http://luke.dashjr.org/programs/bitcoin/files/bfgminer/5.4.1/openwrt/12.09/README

bfgminer on the s3 might be working, but it wont show up in the ui.. since it uses a differnt style api then cgminer.

and the s5 does have a read only file system Sad




I used the command interface not the antminer ui for the s1 s3 it just wouldn't hash it loaded the pool etc but then gave some strange error, i tried for weeks so now about all i use BFG for is Scrpt miners,

I'm a big fan of BFG.

the only way i could see anything working number wise on the S5 was the black screen command line ui.


or find a BFG .IPk file some place and load it off a external drive or in the tmp folder  using opkg install ipk name or find a tr.gz file and use the tz command but you need a tested working molded one with everything in it for that to work ,  the problem with S1 and S3 is no room on the controller if you try to install it the S5 way it Polly would work that way but no room and it might install off a external drive  on the s1/3, i just gave up.I'm not even gonna try on my C1 it has the same read only file system.

BTW i have a Avalon 4.1 working on a Rasp pi 2 not the B version they never really gave the Avalon4.1 the right rpi 2 support like they have for the A6 that i could find, once I'm able to figure out how to load the right openwrt on any PI , i can use the Avalon TZ gz file for Avalon 4.1 or A6 file, for any PI type PC with out having to rewrite a thing Smiley,

cya
chrisvl
Legendary
*
Offline Offline

Activity: 924

Trainman


View Profile WWW
March 06, 2016, 01:23:52 AM
 #803

"blktmpl error: Unrecognized block version, and not allowed to reduce or force it"

when trying to mine to a bitcoin classic node. Will this require an updated version of libblkmaker? looking at bitcoin-cli getblocktemplate I see
I don't support altcoins. When/if Classic actually proposes a hardfork (no such proposal has been made yet) and it achieves consensus to replace Bitcoin (from the entire community, not merely some niche with an agenda), I will add support at that time.

(Also, people who support a reckless hardfork without consensus, ought to seriously consider whether they think the project can actually survive without any competent developers involved...)
do you see any altcoin ?

A smartness bitcoin which will operate as the human brain can easily scale beyond the level of traffic VISA,Trainman pgp
tobeaj2mer01
Legendary
*
Offline Offline

Activity: 1035


Angel investor.


View Profile
March 10, 2016, 03:19:28 AM
 #804

What mining algorithms are able to support by BFGMiner?

INVALID BBCODE: close of unopened tag in table (1)
toptek
Legendary
*
Offline Offline

Activity: 1036


View Profile
March 12, 2016, 05:57:28 PM
 #805

finally got BFG running on openwrt on this version


OpenWrt
Model   Raspberry Pi 2
Firmware Version   OpenWrt Chaos Calmer 15.05 / LuCI Master (git-15.245.46763-b179283)
Kernel Version   3.18.20
Local Time   Sat Mar 12 12:55:42 2016
Uptime   0h 45m 10s


Script mining

Code:
bfgminer version 5.4.1 - Started: [2016-03-12 12:54:36] - [  0 days 00:02:18]
 [M]anage devices [P]ool management [S]ettings [D]isplay options  [H]elp [Q]uit
 Pool 0: ...sa.nicehash.com  Diff:15m  +Strtm  LU:[12:56:03]  User:13Xb4RvqoeRum
 Block: ...f217143dd07e6ccf  Diff:7.57k (54.20G)  Started: [12:54:53]  I:?
 ST:770  F:0  NB:3  AS:0  BW:[ 42/ 49 B/s]  E:0.11  BS:437m
 0            | 21.96/22.12/22.76Mh/s | A:40 R:0+0(none) HW:3/7.0%
--------------------------------------------------------------------------------
 ZUS 0:       | 22.07/22.27/20.78Mh/s | A:42 R:0+0(none) HW:3/6.7%
--------------------------------------------------------------------------------
 [2016-03-12 12:56:10] Accepted 00045b1c ZUS 0aqp Diff 229m/15m
 [2016-03-12 12:56:15] Accepted 003d0ade ZUS 0aaa Diff 16m/15m
 [2016-03-12 12:56:15] Accepted 0038debd ZUS 0bav Diff 17m/15m
 [2016-03-12 12:56:15] Accepted 00306610 ZUS 0aaa Diff 20m/15m
 [2016-03-12 12:56:19] Accepted 001030c2 ZUS 0aaa Diff 61m/15m
 [2016-03-12 12:56:23] Accepted 00033e6c ZUS 0abc Diff 308m/15m
 [2016-03-12 12:56:25] Accepted 002ae553 ZUS 0bap Diff 23m/15m
 [2016-03-12 12:56:25] Accepted 0032eead ZUS 0aow Diff 19m/15m
 [2016-03-12 12:56:25] Accepted 001ed6cf ZUS 0aar Diff 32m/15m
 [2016-03-12 12:56:32] Accepted 001240e1 ZUS 0ach Diff 54m/15m
 [2016-03-12 12:56:32] Accepted 00139b3c ZUS 0ago Diff 51m/15m
 [2016-03-12 12:56:35] Accepted 002e894a ZUS 0aqg Diff 21m/15m
 [2016-03-12 12:56:36] Accepted 00112da6 ZUS 0act Diff 58m/15m
 [2016-03-12 12:56:52] Accepted 001bdcbc ZUS 0akj Diff 35m/15m
 [2016-03-12 12:56:54] Accepted 000248ed ZUS 0axh Diff 437m/15m



to any one that cares the S3 still has drivers issue installing right now is my only guess, I'm not gonna even bro with it any more for the antminer s series unless someone comes up with a fully rewritten firmware with bfg as either the main mining software or as one built in to pick form like open wrt skins and they don't mind sharing it with us.
zOU
Hero Member
*****
Offline Offline

Activity: 644

★ these are stars ★


View Profile
March 12, 2016, 06:31:57 PM
 #806

What mining algorithms are able to support by BFGMiner?

hello,

I would recommend having a look at the readme first, then ask for more details if it's not covered.

https://github.com/luke-jr/bfgminer/blob/bfgminer/README

I think that today it's SHA256 and scrypt only, at least that's what the 1st post is mentionning anyway.

edit: CPU and OpenCL/GPU mining for Keccak (SHA-3) also

in2tactics
Hero Member
*****
Offline Offline

Activity: 518



View Profile
March 13, 2016, 05:28:44 AM
 #807

I am using BFGMiner for my AntMiner U1 devices on a Raspberry Pi B+ and I was wondering if there are any advantages, other than fast pool switching, to using the stratum proxy option for my AntMiner S1 and S3 devices?

Active... 2x AntMiner S7-LN and 5x AntMiner U1
Collecting Dust... 2x ASICMiner Block Erupter Cube, 4x AntMiner S3, 4x AntMiner S1, GAW Black Widow, and ZeusMiner Thunder X6
Coin Interests... BTC, LTC, DOGE
toptek
Legendary
*
Offline Offline

Activity: 1036


View Profile
March 13, 2016, 06:06:03 AM
 #808

I am using BFGMiner for my AntMiner U1 devices on a Raspberry Pi B+ and I was wondering if there are any advantages, other than fast pool switching, to using the stratum proxy option for my AntMiner S1 and S3 devices?

I had it running on a S5 it seems to handle things better with bfg then the hacked up version of cgminer bitmain only allows us to use in the antminer S series or wanted us to use but the problem now is the C1 and up have read only file systems and it's a pain to reinstall it after every reboot or shut down, bitmain waited to long to share the source, so  now no one really cares .and on the S3 and below the controller space is to small to install it like on the c1 and S5, it's works on the S1/3 BFG with no hashing, i can't seem to get it to install the right drivers, so i give up .I even asked two month ago what's wrong, to be honest, it really doesn't mater any more, very soon we get a new gen of miners that will Polly kill any S3 use age , im gonna use the frame any way .
ulano111
Newbie
*
Offline Offline

Activity: 5


View Profile
March 18, 2016, 07:34:40 AM
 #809

Hello, I know that all guys here are professionals about mining so I need small advise.
I'm using BFGminer software and I have Gridseed 5,2MHs conected on the computer. Can anyone help me too setup this Gridseed on this software to mine ETH? If this is possible ?
My commands on the BFGminer are now  like this:
bfgminer -S noauto -S gridseed:all --set gridseed:clock=838 --scrypt -o stratum+tcp://scrypt.eu.nicehash.com:3333 -u 1JkQzrN3wPwiYV7vT2uWzNgBQsG1me91Ez -p x

This commands are mining Scrypt on Nicehash, but I wonth to mine ETH on anny pool if is possible. Thank you for help
aarons6
Legendary
*
Offline Offline

Activity: 1162


View Profile
March 18, 2016, 08:34:20 AM
 #810

Hello, I know that all guys here are professionals about mining so I need small advise.
I'm using BFGminer software and I have Gridseed 5,2MHs conected on the computer. Can anyone help me too setup this Gridseed on this software to mine ETH? If this is possible ?
My commands on the BFGminer are now  like this:
bfgminer -S noauto -S gridseed:all --set gridseed:clock=838 --scrypt -o stratum+tcp://scrypt.eu.nicehash.com:3333 -u 1JkQzrN3wPwiYV7vT2uWzNgBQsG1me91Ez -p x

This commands are mining Scrypt on Nicehash, but I wonth to mine ETH on anny pool if is possible. Thank you for help

ethereum is not scrypt.. it can only be mined by gpu.
ulano111
Newbie
*
Offline Offline

Activity: 5


View Profile
March 18, 2016, 08:37:34 AM
 #811

so you tell me that with gridseed is not possible to mine ETH?
Mystogan
Jr. Member
*
Offline Offline

Activity: 38


View Profile
March 26, 2016, 08:34:04 AM
 #812

Do I need to install Nvidia Cuda software for this?
I'm getting low hash rates
leowonderful
Hero Member
*****
Offline Offline

Activity: 700


View Profile
March 28, 2016, 12:23:57 AM
 #813

Do I need to install Nvidia Cuda software for this?
I'm getting low hash rates

Old cudaminer is a good bet, i'm not sure that's even current anymore. The last time I checked was in 2013 when my laptop was happily mining away at bitcoin. Old quadro gpu died but I still think cudaminer is supported, or at least covers all gpus from 9800GTX to 980 and Titan X. Not sure about Z and 980Ti, cudaminer may not be supported anymore.














 

 

█ 
█ 
█ 
█ 
█ 
█ 
█ 
█ 
█ 
█ 
█ 
BitBlender 

 













 















 












 
█ 
█ 
█ 
█ 
█ 
█ 
█ 
█ 
█ 
█ 
█ 
Luke-Jr
Legendary
*
Offline Offline

Activity: 2240



View Profile
March 28, 2016, 07:50:00 AM
 #814

NEW VERSION 5.4.2, MARCH 26 2016

Happy Easter!

Human readable changelog:
  • Fix some possible edge case problems with stratum proxying (--stratum-port).
  • openwrt: Binary packages for 15.05 "Chaos Calmer".
  • Fix 2D work support for GBT servers (requires libblkmaker 0.5.3 or newer).

Full changelog:
  • Update official Win32/64 build compiler and libraries:
    • Win64 compiler (GCC) from 4.7.4 to 5.3.0 (Win32 remains at 4.7.4)
    • libcurl from 7.39.0 to 7.47.1
    • libevent from 2.0.21 to 2.1.5-r4
    • libusb from 1.0.18 (Win32) and 1.0.19 (Win64) to 1.0.20
    • libmicrohttpd from 0.9.38_pre33603 to 0.9.48
  • Update libblkmaker to 0.5.3
  • Bugfix: Sanitise lock situation for work2d
  • Bugfix: SSM: Never issue the same work2d twice in a row
  • Bugfix: SSM: Never send mining.notify for stale work2d
  • SSM: Refactor work2d check and job pruning from _stratumsrv_update_notify into stratumsrv_update_notify_str
  • Updates for OpenWrt 15.05
  • Bugfix: Correct work2d handling for GBT servers

aarons6
Legendary
*
Offline Offline

Activity: 1162


View Profile
March 28, 2016, 10:44:15 AM
 #815

trying to compile new version with futurebit.c added in the makefile.am and configure.ac i get this

bfgminer-miner.o: In function `submit_upstream_work_request':
miner.c:(.text+0x25b0): undefined reference to `blkmk_submitm_jansson'
collect2: error: ld returned 1 exit status
make[2]: *** [bfgminer] Error 1
make[2]: Leaving directory `/home/aaron/Downloads/bfgminer'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/aaron/Downloads/bfgminer'
make: *** [all] Error 2


i tired to redownload the git and just ./autogen.sh ./configure and make with no modifications and the same error..

Luke-Jr
Legendary
*
Offline Offline

Activity: 2240



View Profile
March 28, 2016, 09:10:29 PM
 #816

trying to compile new version with futurebit.c added in the makefile.am and configure.ac i get this

bfgminer-miner.o: In function `submit_upstream_work_request':
miner.c:(.text+0x25b0): undefined reference to `blkmk_submitm_jansson'
collect2: error: ld returned 1 exit status
make[2]: *** [bfgminer] Error 1
make[2]: Leaving directory `/home/aaron/Downloads/bfgminer'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/aaron/Downloads/bfgminer'
make: *** [all] Error 2


i tired to redownload the git and just ./autogen.sh ./configure and make with no modifications and the same error..


Sounds like mixed libblkmaker headers/library somehow.
Can you post your config.log file?

What is futurebit.c?

toptek
Legendary
*
Offline Offline

Activity: 1036


View Profile
March 28, 2016, 09:32:42 PM
 #817

https://asicpuppy.com/magentoPuppy/index.php/futurebit-usb-300kh-s.html   < futurebit.c is for , I'm not aarons6 , just couldn't resists posting it.

https://archive.litecointalk.org/index.php?topic=28691.0
aarons6
Legendary
*
Offline Offline

Activity: 1162


View Profile
March 28, 2016, 11:35:02 PM
 #818

trying to compile new version with futurebit.c added in the makefile.am and configure.ac i get this

bfgminer-miner.o: In function `submit_upstream_work_request':
miner.c:(.text+0x25b0): undefined reference to `blkmk_submitm_jansson'
collect2: error: ld returned 1 exit status
make[2]: *** [bfgminer] Error 1
make[2]: Leaving directory `/home/aaron/Downloads/bfgminer'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/aaron/Downloads/bfgminer'
make: *** [all] Error 2


i tired to redownload the git and just ./autogen.sh ./configure and make with no modifications and the same error..


Sounds like mixed libblkmaker headers/library somehow.
Can you post your config.log file?

What is futurebit.c?

http://www.mediafire.com/download/hmz9yb6axwh2m99/config.log

i tried it straight from git with no mods and its the same error.
toptek
Legendary
*
Offline Offline

Activity: 1036


View Profile
March 29, 2016, 12:27:05 AM
 #819

Code:
Package: bfgminer
Version: 5.4.2-1
Depends: libc, libcurl, libpthread, jansson, libevent2, libncurses, libmicrohttpd, libusb-1.0
Source: /home/luke-jr/Projects/Education/Tonal/BitCoin/bfgminer/openwrt/bfgminer
License: GPL-3.0+
LicenseFiles: COPYING
Section: utils
Maintainer: "Luke Dashjr" <luke_openwrt@dashjr.org>
Architecture: brcm2708
Installed-Size: 300537
Filename: bfgminer_5.4.2-1_brcm2708.ipk
Size: 300307
MD5Sum: 42a52222609b6c087885296a45be3af9
SHA256sum: 2031f5a1928e237ac4cc2d9e9ef378660b095ec1c4657f3569e362992d4bc6b1
Description:  Modular Bitcoin ASIC/FPGA/GPU/CPU miner in C

I update it over openwrt and get this

Code:
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for bfgminer:
 *      jansson *       libmicrohttpd *
 * opkg_install_cmd: Cannot install package bfgminer.
 

 I know what to do , before i used to be able to get it all off the BFG site it's np .
 
 just wondering if your a ware of it. or it's intended that way now .
Luke-Jr
Legendary
*
Offline Offline

Activity: 2240



View Profile
March 29, 2016, 04:29:08 AM
 #820

Code:
Package: bfgminer
Version: 5.4.2-1
Depends: libc, libcurl, libpthread, jansson, libevent2, libncurses, libmicrohttpd, libusb-1.0
Source: /home/luke-jr/Projects/Education/Tonal/BitCoin/bfgminer/openwrt/bfgminer
License: GPL-3.0+
LicenseFiles: COPYING
Section: utils
Maintainer: "Luke Dashjr" <luke_openwrt@dashjr.org>
Architecture: brcm2708
Installed-Size: 300537
Filename: bfgminer_5.4.2-1_brcm2708.ipk
Size: 300307
MD5Sum: 42a52222609b6c087885296a45be3af9
SHA256sum: 2031f5a1928e237ac4cc2d9e9ef378660b095ec1c4657f3569e362992d4bc6b1
Description:  Modular Bitcoin ASIC/FPGA/GPU/CPU miner in C

I update it over openwrt and get this

Code:
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for bfgminer:
 *      jansson *       libmicrohttpd *
 * opkg_install_cmd: Cannot install package bfgminer.
 

 I know what to do , before i used to be able to get it all off the BFG site it's np .
 
 just wondering if your a ware of it. or it's intended that way now .

No, jansson and libmicrohttpd have never been included in the BFGMiner repositories...

Which OpenWrt version are you using, and does the BFGMiner repo match it?
Note I just added 15.05, but if you still have 12.09, you should use the 12.09 repo instead.

Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 [41] 42 43 44 45 46 47 48 49 50 51 52 53 54 »
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!